<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.lib.AP.message</name>
<version>6</version>
<engineversion>25</engineversion>
<description>Modify message based on AP peronality</description>
<arguments>
<argument index="1" name="message.num" type="Var/Number" desc="Message Number" />
<argument index="2" name="arg.1" type="Value" desc="Arg 1" />
<argument index="3" name="arg.2" type="Value" desc="Arg 2" />
<argument index="4" name="arg.3" type="Value" desc="Arg 3" />
<argument index="5" name="arg.4" type="Value" desc="Arg 4" />
<argument index="6" name="arg.5" type="Value" desc="Arg 5" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;the&#160;Artificial&#160;Pilot&#160;program</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><comment><text>*&#160;</text><var>Free&#160;for&#160;use&#160;in&#160;third&#160;party&#160;scripts,&#160;but</var></comment></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var>please&#160;mention&#160;Xai&#160;Corporation&#160;in&#160;your&#160;documentation</var></comment></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="007" indent=""><comment><text>*&#160;</text><var>modifies&#160;a&#160;message&#160;depending&#160;on&#160;race</var></comment></line>
<line linenr="008" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="009" indent=""></line>
<line linenr="010" indent=""><comment><text>*&#160;</text><var>recall&#160;personality&#160;variables</var></comment></line>
<line linenr="011" indent=""><var>$local.var.personality&#160;=&#160;</var><var>'AP.personality'</var></line>
<line linenr="012" indent=""><var>$local.var.xp.trade&#160;=&#160;</var><var>'level.trade'</var></line>
<line linenr="013" indent=""><var>$local.var.fight&#160;=&#160;</var><var>'level.fight'</var></line>
<line linenr="014" indent=""><var>$personality&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>$local.var.personality</var></line>
<line linenr="015" indent=""><var>$level.trade&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>$local.var.xp.trade</var></line>
<line linenr="016" indent=""><var>$level.fight&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>$local.var.fight</var></line>
<line linenr="017" indent=""><var>$misc.XP&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;get&#160;local&#160;variable:&#160;name=</text><var>'AP.misc.XP'</var></line>
<line linenr="018" indent=""><var>$race&#160;=&#160;</var><var>$personality</var><text>[</text><var>1</var><text>]</text></line>
<line linenr="019" indent=""></line>
<line linenr="020" indent=""></line>
<line linenr="021" indent=""></line>
<line linenr="022" indent=""><comment><text>*&#160;</text><var>Choose&#160;name&#160;and&#160;race&#160;if&#160;should&#160;have&#160;one</var></comment></line>
<line linenr="023" indent=""><var>if&#160;</var><var>!</var><text>&#160;</text><var>$personality</var><text>&#160;</text><var>AND</var><text>&#160;</text><var>(</var><text>&#160;</text><var>$level.fight</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>2</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$level.trade</var><text>&#160;</text><var>&gt;</var><text>&#160;</text><var>1</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$misc.XP</var><text>&#160;</text><var>&gt;=</var><text>&#160;</text><var>35</var><text>&#160;</text><var>)</var></line>
<line linenr="024" indent=""><var>chose.race</var><text>:</text></line>
<line linenr="025" indent="&#160;"><var>$race&#160;=&#160;</var><text>&#160;find&#160;ship:&#160;sector=</text><var>[SECTOR]</var><text>&#160;class&#160;or&#160;type=</text><var>null</var><text>&#160;race=</text><var>null</var><text>&#160;flags=</text><var>[Find.Random]</var><text>&#160;refobj=</text><var>[THIS]</var><text>&#160;maxdist=</text><var>null</var><text>&#160;maxnum=</text><var>1</var><text>&#160;refpos=</text><var>null</var></line>
<line linenr="026" indent="&#160;"><var>$race&#160;=&#160;</var><var>$race&#160;-&gt;</var><text>&#160;get&#160;owner&#160;race</text></line>
<line linenr="027" indent="&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Argon</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Boron</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Split</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Paranid</var><text>&#160;</text><var>OR</var><text>&#160;</text><var>$race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Teladi</var></line>
<line linenr="028" indent="&#160;&#160;"><var>$race&#160;=&#160;</var><var>Argon</var></line>
<line linenr="029" indent="&#160;"></line>
<line linenr="030" indent="&#160;"><var>$name&#160;=&#160;</var><text>get&#160;random&#160;name:&#160;race=</text><var>$race</var></line>
<line linenr="031" indent="&#160;"><var>$name&#160;=&#160;</var><var>'AP&#160;'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$name</var></line>
<line linenr="032" indent="&#160;"></line>
<line linenr="033" indent="&#160;"><var>$personality&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>2</var></line>
<line linenr="034" indent="&#160;"><var>$personality</var><text>[</text><var>0</var><text>]&#160;=&#160;</text><var>$name</var></line>
<line linenr="035" indent="&#160;"><var>$personality</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>$race</var></line>
<line linenr="036" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;local&#160;variable:&#160;name=</text><var>$local.var.personality</var><text>&#160;value=</text><var>$personality</var></line>
<line linenr="037" indent="&#160;"><var>[THIS]&#160;-&gt;</var><text>&#160;set&#160;pilot&#160;name&#160;to&#160;</text><var>$name</var></line>
<line linenr="038" indent=""><text>end</text></line>
<line linenr="039" indent=""></line>
<line linenr="040" indent=""><comment><text>*&#160;</text><var>set&#160;race&#160;number</var></comment></line>
<line linenr="041" indent=""></line>
<line linenr="042" indent=""><var>if&#160;</var><var>$race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Argon</var></line>
<line linenr="043" indent="&#160;"><var>$race&#160;=&#160;</var><var>0</var></line>
<line linenr="044" indent=""><var>else&#160;if&#160;</var><var>$race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Boron</var></line>
<line linenr="045" indent="&#160;"><var>$race&#160;=&#160;</var><var>1</var></line>
<line linenr="046" indent=""><var>else&#160;if&#160;</var><var>$race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Split</var></line>
<line linenr="047" indent="&#160;"><var>$race&#160;=&#160;</var><var>2</var></line>
<line linenr="048" indent=""><var>else&#160;if&#160;</var><var>$race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Paranid</var></line>
<line linenr="049" indent="&#160;"><var>$race&#160;=&#160;</var><var>3</var></line>
<line linenr="050" indent=""><var>else&#160;if&#160;</var><var>$race</var><text>&#160;</text><var>==</var><text>&#160;</text><var>Teladi</var></line>
<line linenr="051" indent="&#160;"><var>$race&#160;=&#160;</var><var>4</var></line>
<line linenr="052" indent=""><text>else</text></line>
<line linenr="053" indent="&#160;"><var>$race&#160;=&#160;</var><var>0</var></line>
<line linenr="054" indent=""><text>end</text></line>
<line linenr="055" indent=""></line>
<line linenr="056" indent=""><comment><text>*&#160;</text><var>recall&#160;name&#160;and&#160;race&#160;of&#160;Pilot</var></comment></line>
<line linenr="057" indent=""><var>skip&#160;if&#160;</var><var>$arg.1</var></line>
<line linenr="058" interruptable="@" indent="&#160;"><var>$arg.1&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.getName</call><text>&#160;:&#160;</text></line>
<line linenr="059" indent=""></line>
<line linenr="060" indent=""><comment><text>*&#160;</text><var>Generate&#160;emotion</var></comment></line>
<line linenr="061" interruptable="@" indent=""><var>$emotion&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.AP.get.emotion</call><text>&#160;:&#160;</text></line>
<line linenr="062" indent=""></line>
<line linenr="063" indent=""><comment><text>*&#160;</text><var>Modify&#160;message&#160;number</var></comment></line>
<line linenr="064" indent=""><comment><text>*&#160;</text><var>&#160;&#160;&#160;for&#160;race</var></comment></line>
<line linenr="065" indent=""><var>$message.num.mod&#160;=&#160;</var><var>(</var><text>&#160;</text><var>$race</var><text>&#160;</text><var>*</var><text>&#160;</text><var>100</var><text>&#160;</text><var>)</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$message.num</var></line>
<line linenr="066" indent=""></line>
<line linenr="067" indent=""><comment><text>*&#160;</text><var>&#160;&#160;&#160;for&#160;emotion</var></comment></line>
<line linenr="068" indent=""><var>$message.num.mod.emote&#160;=&#160;</var><var>(</var><text>&#160;</text><var>$emotion</var><text>&#160;</text><var>*</var><text>&#160;</text><var>1000</var><text>&#160;</text><var>)</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$message.num.mod</var></line>
<line linenr="069" indent=""></line>
<line linenr="070" indent=""></line>
<line linenr="071" indent=""><comment><text>*&#160;</text><var>Print&#160;message</var></comment></line>
<line linenr="072" indent=""><var>$msg&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>5505</var><text>&#160;textid=</text><var>$message.num.mod.emote</var><text>,&#160;</text><var>$arg.1</var><text>,&#160;</text><var>$arg.2</var><text>,&#160;</text><var>$arg.3</var><text>,&#160;</text><var>$arg.4</var><text>,&#160;</text><var>$arg.5</var></line>
<line linenr="073" indent=""><var>skip&#160;if&#160;</var><var>$msg</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>'ReadText'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'5505-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$message.num.mod.emote</var></line>
<line linenr="074" indent="&#160;"><var>$msg&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>5505</var><text>&#160;textid=</text><var>$message.num.mod</var><text>,&#160;</text><var>$arg.1</var><text>,&#160;</text><var>$arg.2</var><text>,&#160;</text><var>$arg.3</var><text>,&#160;</text><var>$arg.4</var><text>,&#160;</text><var>$arg.5</var></line>
<line linenr="075" indent=""><var>skip&#160;if&#160;</var><var>$msg</var><text>&#160;</text><var>!=</var><text>&#160;</text><var>'ReadText'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>'5505-'</var><text>&#160;</text><var>+</var><text>&#160;</text><var>$message.num.mod</var></line>
<line linenr="076" indent="&#160;"><var>$msg&#160;=&#160;</var><text>sprintf:&#160;pageid=</text><var>5505</var><text>&#160;textid=</text><var>$message.num</var><text>,&#160;</text><var>$arg.1</var><text>,&#160;</text><var>$arg.2</var><text>,&#160;</text><var>$arg.3</var><text>,&#160;</text><var>$arg.4</var><text>,&#160;</text><var>$arg.5</var></line>
<line linenr="077" indent=""></line>
<line linenr="078" indent=""><text>return&#160;</text><var>$msg</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.lib.AP.message" /><sval type="int" val="25" /><sval type="string" val="Modify message based on AP peronality" /><sval type="int" val="6" /><sval type="int" val="0" /><sval type="array" size="19"><sval type="string" val="message.num" /><sval type="string" val="arg.1" /><sval type="string" val="arg.2" /><sval type="string" val="arg.3" /><sval type="string" val="arg.4" /><sval type="string" val="arg.5" /><sval type="string" val="local.var.personality" /><sval type="string" val="local.var.xp.trade" /><sval type="string" val="local.var.fight" /><sval type="string" val="personality" /><sval type="string" val="level.trade" /><sval type="string" val="level.fight" /><sval type="string" val="misc.XP" /><sval type="string" val="race" /><sval type="string" val="name" /><sval type="string" val="emotion" /><sval type="string" val="message.num.mod" /><sval type="string" val="message.num.mod.emote" /><sval type="string" val="msg" /></sval><sval type="array" size="48"><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="AP.personality" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="level.trade" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="5" /><sval type="string" val="level.fight" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="11" /></sval><sval type="array" size="6"><sval type="int" val="156" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="5" /><sval type="string" val="AP.misc.XP" /><sval type="int" val="12" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="48"><sval type="int" val="104" /><sval type="int" val="-1610607357" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="15" /><sval type="int" val="65556" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="4" /><sval type="int" val="35" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="15" /><sval type="int" val="9" /><sval type="int" val="16" /><sval type="int" val="65556" /><sval type="int" val="-1" /><sval type="int" val="9" /><sval type="int" val="16" /><sval type="int" val="-3" /><sval type="int" val="2" /><sval type="int" val="-4" /><sval type="int" val="10" /><sval type="int" val="-6" /><sval type="int" val="2" /><sval type="int" val="-7" /><sval type="int" val="10" /><sval type="int" val="-10" /><sval type="int" val="4" /><sval type="int" val="-11" /><sval type="int" val="17" /></sval><sval type="array" size="2"><sval type="int" val="101" /><sval type="string" val="chose.race" /></sval><sval type="array" size="18"><sval type="int" val="757" /><sval type="int" val="13" /><sval type="int" val="131075" /><sval type="int" val="65542" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="105" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="4"><sval type="int" val="701" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="13" /></sval><sval type="array" size="61"><sval type="int" val="104" /><sval type="int" val="-1610609144" /><sval type="int" val="19" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="10" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="10" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="10" /><sval type="int" val="19" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /><sval type="int" val="10" /><sval type="int" val="-4" /><sval type="int" val="0" /><sval type="int" val="-5" /><sval type="int" val="10" /><sval type="int" val="-8" /><sval type="int" val="0" /><sval type="int" val="-9" /><sval type="int" val="10" /><sval type="int" val="-12" /><sval type="int" val="0" /><sval type="int" val="-13" /><sval type="int" val="10" /><sval type="int" val="-16" /><sval type="int" val="0" /><sval type="int" val="-17" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="1039" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="14" /><sval type="int" val="3" /><sval type="int" val="5" /><sval type="string" val="AP " /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="11" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="2" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="9" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /></sval><sval type="array" size="7"><sval type="int" val="155" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="5"><sval type="int" val="1038" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610606589" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="37" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605819" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="10" /><sval type="int" val="2" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="37" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605051" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="10" /><sval type="int" val="3" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="37" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604283" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="10" /><sval type="int" val="4" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="3" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="37" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610603515" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="10" /><sval type="int" val="5" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="37" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536860921" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.getName" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.AP.get.emotion" /><sval type="int" val="15" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="0" /></sval><sval type="array" size="21"><sval type="int" val="104" /><sval type="int" val="16" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="4" /><sval type="int" val="100" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="7" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /><sval type="int" val="17" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="21"><sval type="int" val="104" /><sval type="int" val="17" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="15" /><sval type="int" val="4" /><sval type="int" val="1000" /><sval type="int" val="15" /><sval type="int" val="13" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="7" /><sval type="int" val="16" /><sval type="int" val="-1" /><sval type="int" val="13" /><sval type="int" val="-2" /><sval type="int" val="17" /><sval type="int" val="11" /><sval type="int" val="-4" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="18" /><sval type="int" val="4" /><sval type="int" val="5505" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-536859385" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="5" /><sval type="string" val="ReadText" /><sval type="int" val="5" /><sval type="string" val="5505-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="17" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-3" /><sval type="int" val="11" /><sval type="int" val="-5" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="18" /><sval type="int" val="4" /><sval type="int" val="5505" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="25"><sval type="int" val="104" /><sval type="int" val="-536858873" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="18" /><sval type="int" val="5" /><sval type="string" val="ReadText" /><sval type="int" val="5" /><sval type="string" val="5505-" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="16" /><sval type="int" val="15" /><sval type="int" val="11" /><sval type="int" val="15" /><sval type="int" val="1" /><sval type="int" val="7" /><sval type="int" val="-1" /><sval type="int" val="1" /><sval type="int" val="-2" /><sval type="int" val="11" /><sval type="int" val="-3" /><sval type="int" val="11" /><sval type="int" val="-5" /></sval><sval type="array" size="16"><sval type="int" val="150" /><sval type="int" val="18" /><sval type="int" val="4" /><sval type="int" val="5505" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="131074" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="4" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="18" /></sval></sval><sval type="array" size="6"><sval type="array" size="2"><sval type="int" val="10" /><sval type="string" val="Message Number" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Arg 1" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Arg 2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Arg 3" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Arg 4" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Arg 5" /></sval></sval><sval type="array" size="35"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of the Artificial Pilot program" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Free for use in third party scripts, but" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="please mention Xai Corporation in your documentation" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="modifies a message depending on race" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="recall personality variables" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="8" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="8" /><sval type="int" val="1" /><sval type="string" val="Choose name and race if should have one" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="16" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="21" /><sval type="int" val="1" /><sval type="string" val="set race number" /></sval><sval type="array" size="2"><sval type="int" val="21" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="36" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="37" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="37" /><sval type="int" val="1" /><sval type="string" val="recall name and race of Pilot" /></sval><sval type="array" size="2"><sval type="int" val="39" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="39" /><sval type="int" val="1" /><sval type="string" val="Generate emotion" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="40" /><sval type="int" val="1" /><sval type="string" val="Modify message number" /></sval><sval type="array" size="3"><sval type="int" val="40" /><sval type="int" val="1" /><sval type="string" val="   for race" /></sval><sval type="array" size="2"><sval type="int" val="41" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="41" /><sval type="int" val="1" /><sval type="string" val="   for emotion" /></sval><sval type="array" size="2"><sval type="int" val="42" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="42" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="42" /><sval type="int" val="1" /><sval type="string" val="Print message" /></sval><sval type="array" size="2"><sval type="int" val="47" /><sval type="int" val="2" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
